LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Defines | Functions
ofx2qif.c File Reference

Code for ofx2qif utility. C example code. More...

Go to the source code of this file.

## Defines
#define | QIF_FILE_MAX_SIZE 256000
## Functions
int | ofx_proc_transaction_cb (const struct OfxTransactionData data, void *transaction_data)
int | ofx_proc_statement_cb (const struct OfxStatementData data, void *statement_data)
int | ofx_proc_account_cb (const struct OfxAccountData data, void *account_data)
int | main (int argc, char *argv[])

## Detailed Description

Code for ofx2qif utility. C example code.

ofx2qif is a OFX "file" to QIF (Quicken Interchange Format) converter. It was written as a second code example, and as a way for LibOFX to immediately provide something usefull, and to give people a reason to try the library. It is not recommended that financial software use the output of this utility for OFX support. The QIF file format is very primitive, and much information is lost. The utility curently supports every tansaction tags of the QIF format except the address lines, and supports many of the !Account tags. It should generate QIF files that will import sucesfully in just about every software with QIF support.

I do not plan on improving working this utility much further, however be I would be more than happy to accept contributions. If you are interested in hacking on ofx2qif, links to QIF documentation are available on the LibOFX home page.

ofx2qif is meant to be the C code example and demo of the library. It uses many of the functions and structures of the LibOFX API. Note that unlike ofxdump, all error output is disabled by default.

usage: ofx2qif path_to_ofx_file/ofx_filename > output_filename.qif

Definition in file ofx2qif/ofx2qif.c.